Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594537 - qpid-tools package should require same package version of python-qmf
Summary: qpid-tools package should require same package version of python-qmf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf
Version: beta
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Nuno Santos
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 23:47 UTC by Pete MacKinnon
Modified: 2013-09-12 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-22 10:53:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pete MacKinnon 2010-05-20 23:47:55 UTC
Had to manually update python-qmf to the same version of qpid-tools (0.7.946106). Seems like qpid-tools found an existing python-qmf package and was satisfied. But those package bits were incompatible.

Comment 1 Nuno Santos 2010-05-21 16:06:51 UTC
Rebuilt to include the versioned dependency: qpid-tools-0.7.946106-3

RHEL4: https://brewweb.devel.redhat.com/buildinfo?buildID=132856
RHEL5: https://brewweb.devel.redhat.com/buildinfo?buildID=132854
RHEL6: https://brewweb.devel.redhat.com/buildinfo?buildID=132858

Comment 2 Pete MacKinnon 2010-05-21 20:21:46 UTC
Seeing this as of this afternoon from the repo. Not sure it its related.

[root@mrg31 condor]# yum install python-qmf qpid-tools
Loaded plugins: rhnplugin, security
Setting up Install Process
Package python-qmf-0.7.946106-3.el5.noarch already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package qpid-tools.noarch 0:0.7.946106-3.el5 set to be updated
--> Processing Dependency: python-qmf = ${version} for package: qpid-tools
--> Finished Dependency Resolution
qpid-tools-0.7.946106-3.el5.noarch from grid-devel has depsolving problems
  --> Missing Dependency: python-qmf = ${version} is needed by package qpid-tools-0.7.946106-3.el5.noarch (grid-devel)
Error: Missing Dependency: python-qmf = ${version} is needed by package qpid-tools-0.7.946106-3.el5.noarch (grid-devel)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest

Comment 3 Nuno Santos 2010-05-21 20:56:12 UTC
There was a typo in the specfile, I already fixed it and rebuilt.


Note You need to log in before you can comment on or make changes to this bug.